package com.zhibao.crm.cms.util;

import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.aliyuncs.DefaultAcsClient;
import com.aliyuncs.address_purification.model.v20191118.GetZipcodeRequest;
import com.aliyuncs.address_purification.model.v20191118.GetZipcodeResponse;
import com.aliyuncs.exceptions.ClientException;
import com.aliyuncs.profile.DefaultProfile;
import com.zhibao.crm.common.config.JfinalConfig;

public class AlibabaUtils {

   private static final String REGION_ID = "cn-hangzhou";
   private static final String ACCESS_KEY_ID = JfinalConfig.prop.get("accessKeyId");
   private static final String ACCESS_KEY_SECRET = JfinalConfig.prop.get("accessKeySecret");
   private static final String APP_KEY = "68ztznbepd2l";
   private static final String SERVICE_CODE = "addrp";


   public static String getZipcode(String address) {
      DefaultProfile profile = DefaultProfile.getProfile("cn-hangzhou", ACCESS_KEY_ID, ACCESS_KEY_SECRET);
      DefaultAcsClient client = new DefaultAcsClient(profile);
      GetZipcodeRequest request = new GetZipcodeRequest();
      request.setAppKey("68ztznbepd2l");
      request.setServiceCode("addrp");
      request.setText(address);

      try {
         GetZipcodeResponse e = (GetZipcodeResponse)client.getAcsResponse(request);
         String responseData = e.getData();
         JSONObject jsonObject = JSON.parseObject(responseData);
         return jsonObject.getString("zipcode");
      } catch (ClientException var7) {
         var7.printStackTrace();
         return null;
      }
   }

   public static void main(String[] args) {
      String address = "内蒙古自治区呼和浩特市新城区新华大街17号中国人寿保险大厦";
      String zipcode = getZipcode(address);
      if(zipcode != null) {
         System.out.println("Zipcode: " + zipcode);
      } else {
         System.out.println("Failed to fetch zipcode.");
      }

   }

}
